Appearance
POST
/web-pages/draft/drafts/{draftId}/layoutsRequired scope:
viskan:draft:createCreates a layout. Optionally, assigns sections to the created layout.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
Request body
JSON
{
"layoutName": "Start Page layout",
"layoutDescription": "Layout created for start pages",
"layoutType": "START_PAGE",
"sections": [
{
"sectionId": "fb831d92-c7b3-42fe-ac92-a2c2014d72f6"
}
]
}
Response
The layout was successfully created.
JSON
{
"layoutId": "ae3b1645-9722-42bd-b3ab-1a6a6cbe3565"
}
| Error code | Description |
|---|---|
web-pages.create-layout.draft-not-found | Draft not found. |
web-pages.create-layout.layout-name-required | Layout name is required. |
web-pages.create-layout.layout-type-required | Layout type is required. |
web-pages.create-layout.section-id-required | Section ID is required. |
web-pages.create-layout.section-not-found | Could not find the specified section by ID. |